Bug 986945 - Increase cli timeout for gluster volume heal info commands
Increase cli timeout for gluster volume heal info commands
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: vsomyaju
Depends On:
  Show dependency treegraph
Reported: 2013-07-22 09:21 EDT by vsomyaju
Modified: 2015-03-04 19:06 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-04-17 07:43:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description vsomyaju 2013-07-22 09:21:49 EDT
Description of problem:

gluster volume heal volume info commands gets the list of all files to be healed.
If number of files to be healed is very large, in that case, cli is timout is too early. Having a larger time can handle large number of files to be displayed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a replicate volume
2. Kill one brick
3. Create large Number of files
4. execute gluster volume heal volume1 info command 

Actual results:
Another transaction is in progress.

Expected results:
If output can be obtained within 10 Minutes, it will be display the list of all files to be healed in that volume

Additional info:
Comment 1 Anand Avati 2013-07-22 09:33:56 EDT
REVIEW: http://review.gluster.org/5372 (cli: Increased timeout for gluster volume heal commnads) posted (#1) for review on master by venkatesh somyajulu (vsomyaju@redhat.com)
Comment 2 Anand Avati 2013-07-23 05:53:21 EDT
COMMIT: http://review.gluster.org/5372 committed in master by Anand Avati (avati@redhat.com) 
commit 50cfc2d8e814ec649283bbd058eebd779d213d4d
Author: Venkatesh Somyajulu <vsomyaju@redhat.com>
Date:   Mon Jul 22 19:00:53 2013 +0530

    cli: Increased timeout for gluster volume heal commnads
    If number of files are very large, then gluster volume heal
    volumename info commnads take large time. So timeout of 2
    minutes seems to be insufficient.
    Increased timeout to 10 minutes
    Change-Id: I5f847163e01c4afbb587b726833ad80183f1a928
    BUG: 986945
    Signed-off-by: Venkatesh Somyajulu <vsomyaju@redhat.com>
    Reviewed-on: http://review.gluster.org/5372
    Reviewed-by: Kaushal M <kaushal@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 3 Niels de Vos 2014-04-17 07:43:57 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.5.0, please reopen this bug report.

glusterfs-3.5.0 has been announced on the Gluster Developers mailinglist [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/6137
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Note You need to log in before you can comment on or make changes to this bug.